<mat-card color="primary">
    <p>{{node.name}} ({{node.id}}) state is {{(node.status)? node.status:'unknown'}}</p>
    <div  class="button-row" *ngFor="let state of node.states">
      <button mat-raised-button color="primary" (click)="sendMsg(node.id,state)">{{state}}</button>
    </div>      
</mat-card> 